%clear all;clc;
load modelData
stoicBlock = full(stoicBlock);

speciesBlock_full = cell(size(speciesBlock,1),1);
for i = 1:size(speciesBlock,1)
    speciesBlock_full{i} = strcat(speciesBlock{i,1},'_',speciesBlock{i,3},'_',...
        speciesBlock{i,4},'_',speciesBlock{i,5});
end

% rxnLine = stoic2rxnLine(stoicBlock, speciesBlock(:,1));
rxnLine = stoic2rxnLine(stoicBlock, speciesBlock_full);
rxnLine_long = stoic2rxnLine(stoicBlock, speciesBlock(:,2));

rxnIDs = {};
for i = 1:size(rxnBlock,1)
    rxnIDs{i,1} = strcat(rxnBlock{i,1}, '_', rxnBlock{i,2});
end

reversibilities = {};
for i = 1:size(lbBlock,1)
    if lbBlock(i) == 0 && ubBlock(i) == 0
        reversibilities{i,1} = 'inactive';
    elseif lbBlock(i) < 0 && ubBlock(i) == 0
        reversibilities{i,1} = '-1';
    elseif lbBlock(i) == 0 && ubBlock(i) > 0
        reversibilities{i,1} = '1';
    else
        reversibilities{i,1} = '0';
    end
end


sheet1Head = {'#' 'rxnID' 'spatial' 'temporal' 'pool' 'rxnEq' 'rxnEq_long' 'reversibility' 'lb' 'ub'};
sheet1 = [sheet1Head;num2cell([1:size(rxnBlock,1)]') rxnBlock rxnLine rxnLine_long reversibilities num2cell(lbBlock) num2cell(ubBlock)];


hitExt = strcmp(speciesBlock(:,5),'BIO') + strcmp(speciesBlock(:,5),'BOUNDARY');
intSpeciesBlock = speciesBlock(find(hitExt==0),:);
extSpeciesBlock = speciesBlock(find(hitExt==1),:);

sheet2Head = {'metID' 'metName' 'spatial' 'temporal' 'pool'};
sheet2 = [sheet2Head; intSpeciesBlock];

sheet3Head = {'metID' 'metName' 'spatial' 'temporal' 'pool'};
sheet3 = [sheet3Head; extSpeciesBlock];

stats = xlswrite('multiTissuesModel.xlsx',sheet1,'rxns');
if stats == 0
    disp('rxn write failed');
else
    disp('rxn write successful');
end
stats = xlswrite('multiTissuesModel.xlsx',sheet2,'intMets');
if stats == 0
    disp('internal metabolites write failed');
else
    disp('internal metabolites write successful');
end
stats = xlswrite('multiTissuesModel.xlsx',sheet3,'extMets');
if stats == 0
    disp('external metabolites write failed');
else
    disp('external metabolites write successful');
end